Skip to content

Get history of fulfillment order

GET
/merchants/{merchantCode}/fulfillmentOrders/{orderNumber}/history
curl --request GET \
--url https://order.shopgate.io/v1/merchants/example/fulfillmentOrders/example/history

Get history of fulfillment order

merchantCode
required
string

Unique merchant code which represents the unique “merchant account”.

orderNumber
required
string

Unique order number

filters
string format: json

Filters as json string to be applied. Available filter is type.

sort
string

Sorting of order history.

Returns the history

Media typeapplication/json
object
history
Array
object
type
string
Allowed values: fulfillmentOrderCreated fulfillmentOrderUpdated fulfillmentOrderStatusUpdated fulfillmentOrderConvertedToSOFulfillment fulfillmentOrderLineItemQuantityChanged fulfillmentOrderCommentAdded fulfillmentOrderCommentUpdated fulfillmentOrderCommentDeleted fulfillmentOrderFulfillmentAdded
id
number
details
string
entityId

Id of the subentity which the history entry belongs to

number
newValue
object
oldValue
object
createDate
string format: date-time
user
object
name
string
id
string
Example
{
"history": [
{
"type": "fulfillmentOrderStatusUpdated",
"id": 468,
"details": "string",
"entityId": 0,
"newValue": {
"status": "checkedIn"
},
"oldValue": {
"status": "ready"
},
"createDate": "2021-12-17T09:21:11.039Z",
"user": {
"name": "Max Muster",
"id": "237e228f-c1d0-4bb7-898d-14a5aa1ea955"
}
}
]
}

Fulfillment order not found

Media typeapplication/json

Unexpected error

Media typeapplication/json
object
code

Machine readable error code

string
message
required

Human readable error code

string
Example
{
"code": "internal.database",
"message": "Internal Database Error"
}